%define scim_version		1.4.5
%define m17n_lib_version	1.3.0

Summary:	A wrapper for m17n
Name:		scim-m17n
Version:	0.2.3
Release:	%mkrel 13
Group:		System/Internationalization
License:	GPL
URL:		https://sourceforge.net/projects/scim/
Source0:	https://downloads.sourceforge.net/scim/%name-%version.tar.gz
BuildRequires:	m17n-lib-devel >= %{m17n_lib_version}
BuildRequires:	pkgconfig(scim) >= %{scim_version}
Requires:	m17n-lib >= %{m17n_lib_version}
Requires:	scim-client = %{scim_api}
Obsoletes:	%mklibname %name 0

%description
A wrapper for m17n.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

# remove unneeded files
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*
%scim_plugins_dir/IMEngine/*.so


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.3-13.mga10
+ Revision: 2214082
- Mageia 10 Mass Rebuild

* Sun Apr 03 2022 umeabot <umeabot> 0.2.3-12.mga9
+ Revision: 1841841
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.2.3-11.mga8
+ Revision: 1516773
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.2.3-10.mga7
+ Revision: 1300953
- Mageia 7 Mass Rebuild

* Sat Jul 28 2018 wally <wally> 0.2.3-9.mga7
+ Revision: 1245681
- fix build on aarch64

* Thu Feb 04 2016 umeabot <umeabot> 0.2.3-8.mga6
+ Revision: 934586
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-7.mga5
+ Revision: 738882
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-6.mga5
+ Revision: 689063
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.3-5.mga4
+ Revision: 518172
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.2.3-4.mga3
+ Revision: 381860
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 18 2011 tv <tv> 0.2.3-3.mga3
+ Revision: 73764
- imported package scim-m17n


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-3mdv2011.0
+ Revision: 607522
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-2mdv2010.1
+ Revision: 523984
- rebuilt for 2010.1

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2010.0
+ Revision: 369359
- New version 0.2.3

* Fri Feb 13 2009 Funda Wang <fwang@mandriva.org> 0.2.2-4mdv2009.1
+ Revision: 339967
- fix requires
- drop obsoleted libs

* Sun Jul 13 2008 Funda Wang <fwang@mandriva.org> 0.2.2-4mdv2009.0
+ Revision: 234342
- add gcc 4.3 patch

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.2-3mdv2008.1
+ Revision: 179495
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 25 2007 Funda Wang <fwang@mandriva.org> 0.2.2-2mdv2008.0
+ Revision: 92763
- use scim macros
- use bootstrap


* Wed Feb 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2.2-1mdv2007.0
+ Revision: 123187
- new release (utumi)

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.1-1mdv2007.1
+ Revision: 66011
- Import scim-m17n

* Thu Oct 12 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.1-1mdv2007.0
- new release

* Tue Feb 28 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-1mdk
- new release
- this release supports extended features in m17n-lib-1.3.0,
- so I changed m17n_lib_version

* Wed Feb 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.1.4-5mdk
- fix requires being "m17n-lib-devel >= %%{m17n-lib_version}"

* Wed Jul 20 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.4-4mdk
- Rebuild for new scim

* Tue Jun 21 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.4-3mdk
- Rebuild for new scim ( 1.3.1 )

* Sat Jun 18 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.4-2mdk
- rebuild for new scim

* Sun Apr 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> - 0.1.4-1mdk
- new release

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.4-0.cvs20050217.2mdk
- rebuild for new scim

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> - 0.1.4-0.cvs20050217.1mdk
- latest snapshot
- rebuild with scim-1.1.3
- spec cleanup

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.4-0.cvs20041229.2mdk
- latest snapshot
- rebuild with scim-1.0.2

* Tue Aug 31 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-1mdk
- new release
- add Requires: m17n-db

* Tue Aug 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-1mdk
- new release
- bump scim buildrequires

* Mon Jul 26 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.1-2mdk
- add BuildRequires: libltdl-devel

* Tue Jun 22 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-1mdk
- new release

* Tue Jun 15 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-1mdk
- initial spec for mdk

